//          File: dijkstra.cpp
//        Author: Fred Sisenda
// Last Modified: Feb 29, 2012


#include <iostream>
#include <vector>
#include "graph.cpp"

using namespace std;


int main(int argc, char* argv[]){
	
	Graph myGraph;

	myGraph.addVertex(4);
	myGraph.addVertex(3);
	myGraph.addVertex(2);
	myGraph.addVertex(1);

	myGraph.addEdge(1, 2, 1);
	myGraph.addEdge(2, 1, 1);
	myGraph.addEdge(2, 3, 2);
	myGraph.addEdge(4, 3, 3);
	myGraph.addEdge(1, 3, 4);
	myGraph.addEdge(2, 4, 2);

	myGraph.print();
	
	vector<Vertex*> V;
	for (int ii = 0; ii<myGraph.getNumVertices(); ii++){
		Vertex* v_temp = myGraph.getVertexByIndex(ii);
		V.push_back(v_temp);
		cout << "Added vertex " << v_temp->getId() << endl; 
	}
	
	return 0;
}

